<?php

use Drupal\ustudio\Ustudio;
use GuzzleHttp\Exception\ClientException;

/**
 * @file
 * UStudio admin
 */

/**
 * Callback for /admin/config/services/ustudio.
 */
function ustudio_admin_settings($form, &$form_state) {
  $form['ustudio_uid'] = array(
      '#type'          => 'textfield',
      '#title'         => t('Account UID'),
      '#requried_'     => TRUE,
      '#default_value' => variable_get('ustudio_uid')
  );

  $form['ustudio_token'] = array(
      '#type'          => 'textfield',
      '#title'         => t('Account token'),
      '#requried_'     => TRUE,
      '#default_value' => variable_get('ustudio_token')
  );

  return system_settings_form($form);
}

/**
 * Validator for ustudio config form
 */
function ustudio_admin_settings_validate(&$form, $form_state) {
  $ustudio = new Ustudio($form_state['values']['ustudio_uid'], $form_state['values']['ustudio_token']);

  try {
    $ustudio->getInfo();
  }
  catch (ClientException $e) {
    form_set_error('', t('Error on connectiong to uStudio service: %msg', array('%msg' => $e->getMessage())));
  }
}
